Subject: Re: [PATCH 1/2] Move code resolving packed refs into its own function.

From: Jakub Narebski <[email-masked]>
Date: Tue, 03 Oct 2006 14:10:15 +0200

Junio C Hamano wrote:

>  - I think gitweb should be Ok; it does peek-remote on the
>    repository.  Although we would probably want to update
>    git_get_references and git_get_refs_list sub to use
>    for-each-ref there, that can be done as a later optimization.

I'd rather have gitweb use git-for-each-ref after the command
is in the official release... if not, then keep it in the 'next'
branch.

By the way, I have an idea to join the git-show-ref and git-for-each-ref:
simply add --deref option to git-for-each-ref, which would output
dereferenced tag just after the reference itself (well, perhaps with the
exception when sorting, perhaps not), with the deref name like in
git-show-ref and git-peek-remote, i.e. <ref>^{}
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git